Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.sync
Class Sync

    java.lang.Object
      org.exist.storage.sync.Sync

All Implemented Interfaces:
  java.lang.Runnable

public class Sync
extends java.lang.Object
implements java.lang.Runnable

This class is registered with the `SyncDaemon`. It will periodically trigger a cache sync to write cached pages to disk.

Field Summary
`static int` | `MAJOR_SYNC`
`static int` | `MINOR_SYNC`

Constructor Summary
`Sync(BrokerPool pool, long majorSyncPeriod)`

Method Summary
`void` | `restart()`
`void` | `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINOR_SYNC

    public static final int MINOR_SYNC

See Also:
  Constant Field Values

### MAJOR_SYNC

    public static final int MAJOR_SYNC

See Also:
  Constant Field Values

Constructor Detail

### Sync

    public Sync(BrokerPool pool,
                long majorSyncPeriod)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### restart

    public void restart()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.